
Name:		sk1libs
Summary:	Advanced vector graphics editor
Version:	0.9.1
Release:	%mkrel 1
Source0:	%{name}-%version.tar.xz
Group:		Graphics
License:	GPLv2+ and LGPLv2+
URL:		http://sk1project.org/
Patch0:		sk1libs-math-fix.diff
Patch1:		sk1libs-0.9.1-freetype-2.1.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	%{_lib}tcl-devel
BuildRequires:	%{_lib}tk-devel
BuildRequires:	%{_lib}python-devel
BuildRequires:	%{_lib}freetype6-devel
BuildRequires:	%{_lib}cairo-devel
BuildRequires:	%{_lib}lcms-devel
Requires:	tkinter
Requires:	python-imaging
Requires:	python-lcms
Requires:	zenity
Obsoletes: python-sk1libs
Provides: python-sk1libs = %version-%release


%description
sK1 is an open source vector graphics editor similar to CorelDRAW,
Adobe Illustrator, or Freehand. sK1 is mainly oriented for PostScript
processing. It features CMYK colorspace support, CMYK support in
Postscript, a Cairo-based engine, color managment, universal CDR
importer (7-X3 versions), and a modern Ttk based (former Tile widgets)
user interface.

%prep
%setup -q -n %{name}-%version
%apply_patches

sed -i -e 's,tcl8.5,tcl%{tcl_version},g' setup.py
sed -i -e 's,tk8.5,tk%{tcl_version},g' setup.py

%build
%{__python} ./setup.py build



%install
rm -fr %{buildroot}
%{__python} setup.py install --root=%{buildroot} --compile --optimize=2


%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%{py_platsitedir}/%{name}
%{py_platsitedir}/sk1libs-0.9.1-*.egg-info


%changelog
* Sun Mar 22 2015 bb <bb> 0.9.1-1pclos2015
- update


